## dnaclust 3

=== Makefile ===
#PROFILE_FLAGS = -pg -fprofile-arcs -ftest-coverage -g -O1
CXXFLAGS = -Wall -pedantic -std=c++98 -O2 -static
CXX = g++ 
#-DCHRIS_DEBUG

all: dnaclust fastaselect fastasort

dnaclust: dnaclust.o fasta.o
	$(CXX) $(CXXFLAGS) $(PROFILE_FLAGS) dnaclust.o fasta.o -lboost_program_options -o $@ -lpthread

dnaclust.o: dnaclust.cpp search_include.cpp utility.hpp ternary_sort.hpp multi_dim.hpp
	$(CXX) -c $(CXXFLAGS) $(PROFILE_FLAGS) dnaclust.cpp

fastaselect: fastaselect.o fasta.o
	$(CXX) $(CXXFLAGS) $(PROFILE_FLAGS) fastaselect.o fasta.o -lboost_program_options -o $@

fastaselect.o: fastaselect.cpp
	$(CXX) -c $(CXXFLAGS) $(PROFILE_FLAGS) fastaselect.cpp

fastasort: fastasort.o fasta.o
	$(CXX) $(CXXFLAGS) $(PROFILE_FLAGS) $+ -lboost_program_options -o $@

fastasort.o: fastasort.cpp
	$(CXX) -c $(CXXFLAGS) $(PROFILE_FLAGS) $+ -o $@

fasta.o: fasta.cpp fasta.hpp
	$(CXX) -c $(CXXFLAGS) fasta.cpp

clean:
	rm -f dnaclust.o dnaclust fasta.o fastaselect.o fastaselect fastasort fastasort.o

=== debian/changelog ===
dnaclust (3-3build1) wily; urgency=medium

  * No change rebuild for boost1.58.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 11 Aug 2015 23:52:26 +0100

dnaclust (3-3) unstable; urgency=medium

  * Fix Vcs fields
  * Moved debian/upstream to debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Fri, 27 Mar 2015 14:46:09 +0100

dnaclust (3-2) unstable; urgency=medium

  * Move /usr/bin/fastasor to /usr/lib/dnaclust/fastasor to avoid
    name space conflict with exonerate.
    Closes: #737913

 -- Andreas Tille <tille@debian.org>  Tue, 11 Feb 2014 10:02:25 +0100

dnaclust (3-1) unstable; urgency=low

  * Initial release (Closes: #737327)

 -- Andreas Tille <tille@debian.org>  Sat, 01 Feb 2014 17:10:29 +0100

=== debian/control ===
Source: dnaclust
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libboost-dev,
               libboost-program-options-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dnaclust.git
Vcs-Git: git://anonscm.debian.org/debian-med/dnaclust.git
Homepage: http://dnaclust.sourceforge.net/

Package: dnaclust
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tool for clustering millions of short DNA sequences
 dnaclust is a tool for clustering large number of short DNA sequences.
 The clusters are created in such a way that the "radius" of each
 clusters is no more than the specified threshold.
 .
 The input sequences to be clustered should be in Fasta format. The id
 of each sequence is based on the first word of the seqeunce in the Fasta
 format. The first word is the prefix of the header up to the first
 occurance of white space characters in the header.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# some helpful variables - uncomment them if needed
# shamelessly stolen from http://jmtd.net/log/awk/
#DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
#VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
#GIT_TAG        := $(subst ~,_,$(VERSION))

# alternatively to manually set those variables you can
#  include /usr/share/cdbs/1/rules/buildvars.mk
# and use what is set there.  Any hint whether dh might set variables in
# a similar manner are welcome.

%:
	dh $@

override_dh_install:
	dh_install
	prename 's/\.sh//' $(CURDIR)/debian/$(DEBPKGNAME)/usr/bin/*

get-orig-source:
	uscan --verbose --repack

=== debian/watch ===
version=3
http://sf.net/dnaclust/dnaclust_repo_release([\d.]+)\.zip
